changeset 742:46c4978c9a5c

Add a 60 second timeout to smoketest. (Some qemu failure modes involve hanging.)
author Rob Landley <rob@landley.net>
date Sun, 31 May 2009 02:36:22 -0500
parents 1b6acc6cf349
children 5e745e03408a
files smoketest.sh
diffstat 1 files changed, 13 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/smoketest.sh	Sun May 31 02:35:41 2009 -0500
+++ b/smoketest.sh	Sun May 31 02:36:22 2009 -0500
@@ -3,6 +3,19 @@
 # This script compiles stuff under the final system, using distcc to call out
 # to the cross compiler.
 
+# Set up a timeout.  If it doesn't complete in 60 seconds, it failed.
+
+timeout()
+{
+  sleep 60
+  kill $1
+}
+
+timeout $$ &
+trap "kill $(jobs -p) 2>/dev/null" EXIT
+
+# Call run-from-build with a here document to do stuff.
+
 # Note that the first line of the script is a few spaces followed by a comment
 # character.  This gives some harmless data for the linux boot process to
 # consume and discard before it gets to the command prompt.  I don't know why